Package org.apache.commons.math3.optimization

# Class PointVectorValuePair

java.lang.Object
org.apache.commons.math3.util.Pair<double[],double[]>
org.apache.commons.math3.optimization.PointVectorValuePair

All Implemented Interfaces:
  `Serializable`

@Deprecated public class PointVectorValuePair extends Pair<double[],double[]> implements Serializable
Deprecated.
As of 3.1 (to be removed in 4.0).
This class holds a point and the vectorial value of an objective function at that point.

Since:
  3.0
See Also:
  - `PointValuePair`
  - `MultivariateVectorFunction`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`PointVectorValuePair(double[] point, double[] value)`
Deprecated.
Builds a point/objective function value pair.
`PointVectorValuePair(double[] point, double[] value, boolean copyArray)`
Deprecated.
Build a point/objective function value pair.

## Method Summary

Modifier and Type
Method
Description
`double[]`
`getPoint()`
Deprecated.
Gets the point.
`double[]`
`getPointRef()`
Deprecated.
Gets a reference to the point.
`double[]`
`getValue()`
Deprecated.
Gets the value of the objective function.
`double[]`
`getValueRef()`
Deprecated.
Gets a reference to the value of the objective function.

### Methods inherited from class org.apache.commons.math3.util.Pair

`create, equals, getFirst, getKey, getSecond, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PointVectorValuePair

public PointVectorValuePair(double[] point, double[] value)
Deprecated.
Builds a point/objective function value pair.

Parameters:
  `point` - Point coordinates. This instance will store a copy of the array, not the array passed as argument.
  `value` - Value of the objective function at the point.

### PointVectorValuePair

public PointVectorValuePair(double[] point, double[] value, boolean copyArray)
Deprecated.
Build a point/objective function value pair.

Parameters:
  `point` - Point coordinates.
  `value` - Value of the objective function at the point.
  `copyArray` - if `true`, the input arrays will be copied, otherwise they will be referenced.

## Method Details

### getPoint

public double[] getPoint()
Deprecated.
Gets the point.

Returns:
  a copy of the stored point.

### getPointRef

public double[] getPointRef()
Deprecated.
Gets a reference to the point.

Returns:
  a reference to the internal array storing the point.

### getValue

public double[] getValue()
Deprecated.
Gets the value of the objective function.

Overrides:
  `getValue` in class `Pair<double[],double[]>`
Returns:
  a copy of the stored value of the objective function.

### getValueRef

public double[] getValueRef()
Deprecated.
Gets a reference to the value of the objective function.

Returns:
  a reference to the internal array storing the value of the objective function.